mcast Struct Reference
Collaboration diagram for mcast:
[legend]

## Data Fields

struct totem_message_header | header
struct srp_addr | system_from
unsigned int | seq
int | this_seqno
struct memb_ring_id | ring_id
unsigned int | node_id
int | guarantee

## Detailed Description

Definition at line 183 of file totemsrp.c.

## Field Documentation

## guarantee

int mcast::guarantee

Definition at line 190 of file totemsrp.c.

Referenced by totemsrp_mcast().

## header

struct totem_message_header mcast::header

Definition at line 184 of file totemsrp.c.

Referenced by totemsrp_mcast().

## node_id

unsigned int mcast::node_id

Definition at line 189 of file totemsrp.c.

## ring_id

struct memb_ring_id mcast::ring_id

Definition at line 188 of file totemsrp.c.

## seq

unsigned int mcast::seq

Definition at line 186 of file totemsrp.c.

## system_from

struct srp_addr mcast::system_from

Definition at line 185 of file totemsrp.c.

Referenced by totemsrp_mcast().

## this_seqno

int mcast::this_seqno

Definition at line 187 of file totemsrp.c.

The documentation for this struct was generated from the following file:

- totemsrp.c